Bug 623741 - gdm does not enumerate ldap-based users at login screen
gdm does not enumerate ldap-based users at login screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ConsoleKit (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-12 12:32 EDT by Stephen Fromm
Modified: 2011-06-28 10:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:39:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Fromm 2010-08-12 12:32:07 EDT
Description of problem:

gdm does not enumerate ldap-based user accounts at the login screen.  In F12, gdm would list the ldap-based users that had recently logged into the system.  

After a little poking around, I noticed that /var/log/ConsoleKit/history was mode 0640.  On F12, this file is 0644.

On F13:
$ ll /var/log/ConsoleKit/history 
-rw-r-----. 1 root root 5058 Aug 11 15:59 /var/log/ConsoleKit/history

On F12:
$ ll /var/log/ConsoleKit/history 
-rw-r--r--. 1 root root 25736 2010-08-10 14:34 /var/log/ConsoleKit/history

After changing this file to be 0644 and restarting gdm, gdm now displays ldap-based users that have successfully logged in.

Version-Release number of selected component (if applicable):

$ rpm -q gdm ConsoleKit
gdm-2.30.2-1.fc13.i686
ConsoleKit-0.4.1-5.fc13.i686

How reproducible:

Always reproducible if /var/log/ConsoleKit/history is not world-readable.

Steps to Reproduce:
1. chmod o-r /var/log/ConsoleKit/history
2. Restart gdm
3. Verify that ldap-based user account is not visible.
  
Actual results:

LDAP-based users that have successfully logged in are not displayed on the login screen.

Expected results:

That recently ldap-based users that have successfully logged in will be enumerated at the login screen.

Additional info:
Comment 1 Fedora Admin XMLRPC Client 2010-08-24 18:19:37 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Bug Zapper 2011-06-01 07:34:28 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Stephen Fromm 2011-06-07 14:40:00 EDT
This works in F14 and F15.  Feel free to close.
Comment 4 Bug Zapper 2011-06-28 10:39:43 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.